天道酬勤,学无止境

recover

Need to recover older $PATH setting

I have just installed an app which overwrote my $PATH variable... so now, a bunch of stuff will not work. While I have a full backup, I am hoping that there is an easier approach than to restore, get the PATH, the "roll it forward" again. Is there a location in the windows registry (or anywhere else) that stores an older $PATH setting? Thanks, GS

2021-11-28 08:39:18    分类:问答    path   recover

git删除了一切,如何恢复文件和文件夹(git deleted everything, how to recover files and folders)

问题 第一次用git,想把一个已经存在的项目导入github,结果全部删了。 搜索答案后,我认为 git 在 git pull 之后删除了文件,我正在尝试恢复文件和文件夹,但找不到如何操作。 我做了下一个: jesus@jesus-K52F:~/Escritorio/Django/Ujixy$ git init Initialized empty Git repository in /home/jesus/Escritorio/Django/Ujixy/.git/ jesus@jesus-K52F:~/Escritorio/Django/Ujixy$ git add . jesus@jesus-K52F:~/Escritorio/Django/Ujixy$ git status # On branch master # # Initial commit # # Changes to be committed: # (use "git rm --cached <file>..." to unstage) # # new file: Catalogoapp/__init__.py # new file: Catalogoapp/models.py # new file: Catalogoapp/tests.py # new file: Catalogoapp/views.py #

2021-11-26 17:31:26    分类:技术分享    git   github   git-pull   recover

git deleted everything, how to recover files and folders

It was the first time that I was using git, I wanted to import an existing project into github and everything was deleted. After search for an answer I think git deleted the files after git pull, I'm trying to recover the files and folders but I can't find how to do it. I did exactly the next: jesus@jesus-K52F:~/Escritorio/Django/Ujixy$ git init Initialized empty Git repository in /home/jesus/Escritorio/Django/Ujixy/.git/ jesus@jesus-K52F:~/Escritorio/Django/Ujixy$ git add . jesus@jesus-K52F:~/Escritorio/Django/Ujixy$ git status # On branch master # # Initial commit # # Changes to be committed

2021-11-23 11:13:51    分类:问答    git   github   git-pull   recover

调用者如何从子 goroutine 的恐慌中恢复(How does a caller function to recover from child goroutine's panics)

问题 我曾经认为如果调用者在恐慌之前完成,goroutine 中的恐慌会杀死程序(延迟恢复没有帮助,因为那时还没有发生恐慌), 直到我尝试了以下代码: func fun1() { fmt.Println("fun1 started") defer func() { if err := recover(); err != nil { fmt.Println("recover in func1") } }() go fun2() time.Sleep(10 * time.Second) // wait for the boom! fmt.Println("fun1 ended") } func fun2() { fmt.Println("fun2 started") time.Sleep(5 * time.Second) panic("fun2 booom!") fmt.Println("fun2 ended") } 我发现无论调用者函数是否完成,如果它启动的goroutines panic,调用者的延迟恢复机制将无济于事。 整个程序还是死了。 所以为什么? 理论上调用函数仍在运行。 当恐慌发生时,调用者的延迟函数应该可以工作(包括恢复)。 回答1 规范说: 在执行函数 F 时,对panic 或运行时panic 的显式调用会终止F 的执行。任何被F 延迟的函数都将照常执行。 接下来,由

2021-10-20 19:34:12    分类:技术分享    go   goroutine   recover   panic

Linux在编译时随机删除了我的文件我该怎么办?(Linux randomly deleted my file while compiling what do I do?)

问题 gcc -L/root/Desktop - Wall -o prog3.c -pthread -lcopy /usr/lib/gcc/x86_64-linux-gnu/7/../../../x86_64-linux-gnu/Scrt1.0: In function '_start': (.text+0x20): undefined reference to 'main' collect2: error: ld returned 1 exit status 这是我的错误代码。 prog3.c无处可寻,到底发生了什么有什么办法可以让我的文件回来? 粗体是我运行的命令,其余的是结果控制台输出 回答1 你的问题在这里: -o prog3.c 。 gcc的 -o 选项用于告诉gcc它应该为它生成的可执行文件提供哪个名称。 所以在这里,您基本上是要求编译prog3.c可执行文件替换prog3.c源文件。 可悲的是你的代码不见了...... 回答2 在这种情况下您的选择的小附录: 它是 Git(或任何其他版本控制)存储库。 在这种情况下,您可以简单地从以前的提交中获取它您的编辑器/IDE 有一些备份系统。 有时我需要带回一个我认为没有必要的文件。 对于这种情况,我最喜欢的文本编辑器应该已经在适当的位置创建了备份文件(例如$XDG_DATA_HOME/vim/backup在我的情况下)。

2021-10-20 08:47:07    分类:技术分享    linux   compilation   gnu   recover

从 .frm、ibdata 和 ib_logfile 恢复 MySQl 数据库(Recovering MySQl database from .frm, ibdata and ib_logfile)

问题 我有 .frm、ibdata 和 ib_logfile 来自我以前版本的 MySQl,现在我已经转移到更新的版本。 不幸的是,我没有安装以前的版本,所以我无法进行转储并导入到新的 MySQl 版本中。 请提出一些让这些数据库在较新的 MySQL 版本中运行的方法。 我有上一个 MSQl 中所有必需的文件。 回答1 这样做真的很危险,所以只需在文件副本上执行此操作(并尽量使用完全相同版本的 MySQL): 确保 MySQL 服务没有运行删除 ib_logfile(不需要) 将文件放在 MySQL 数据目录中启动您的服务器并检查日志文件。 检查一切是否正常。 回答2 好吧,这可能看起来微不足道。 但是因为我已经保存了之前安装的 Program Files 中存在的整个 MySQL 文件夹。 我发现我仍然可以使用该文件夹来运行以前的 MySQL 安装而无需任何更改或重新安装(似乎 MySQl 的工作方式类似于 Linux 软件)。 现在我正在使用 mysqldump 创建转储,然后将其导入到新的 MySQL 版本中。

2021-09-13 04:58:14    分类:技术分享    mysql   recover

Recovering MySQl database from .frm, ibdata and ib_logfile

I have .frm, ibdata and ib_logfile from my previous version of MySQl and now I have shifting to a newer version. Unfortunately, I donot have the previous version installed so I cannot take the dump and import into the new MySQl version. Please suggest some way to get these databases running in the newer MySQL version. I have all the required files from the previous MSQl.

2021-09-04 19:43:29    分类:问答    mysql   recover

如何在远程存储库上运行 hg recovery 命令(how to run hg recover command on a remote repository)

问题 在teamcity中运行构建时出现以下错误。 Failed to collect changes, error: '"C:\Program Files\TortoiseHg\hg.exe" --config ui.interactive=False pull https://test:******@hg.myrepo.co.uk/terriff' command failed. stdout: pulling from https://test:***@hg.myrepo.co.uk/terriff searching for changes stderr: abort: abandoned transaction found - run hg recover! 我已经尝试删除代理机器上的构建目录,但仍然出现相同的错误。 还尝试运行 hg recovery 命令,但它说存储库不是本地的。 请指导如何修复此错误。 回答1 是的,该命令必须在远程主机上运行(例如,通过 shell)。 回答2 我有同样的问题,因为存储库文件夹中缺少我的hg文件夹。 我设法在存储库的缓存版本上运行hg recover来修复它。 您可以在以下目录中找到缓存的存储库: ..\ProgramData\JetBrains\TeamCity\system\caches\mercurial

2021-08-11 10:43:14    分类:技术分享    mercurial   teamcity   tortoisehg   recover

how to run hg recover command on a remote repository

I am getting the following error while running build in teamcity. Failed to collect changes, error: '"C:\Program Files\TortoiseHg\hg.exe" --config ui.interactive=False pull https://test:******@hg.myrepo.co.uk/terriff' command failed. stdout: pulling from https://test:***@hg.myrepo.co.uk/terriff searching for changes stderr: abort: abandoned transaction found - run hg recover! I already tried to delete the build directories on agent machines but still getting same error. Also tried to run hg recover command but it says repository is not local. Please guide how to fix this error.

2021-07-29 01:26:45    分类:问答    mercurial   teamcity   tortoisehg   recover

How does a caller function to recover from child goroutine's panics

I used to think the panic in a goroutine will kill the program if its caller finishes before the panic (the deferred recovering gives no help since at that point there's no panic occurs yet), until I tried following code: func fun1() { fmt.Println("fun1 started") defer func() { if err := recover(); err != nil { fmt.Println("recover in func1") } }() go fun2() time.Sleep(10 * time.Second) // wait for the boom! fmt.Println("fun1 ended") } func fun2() { fmt.Println("fun2 started") time.Sleep(5 * time.Second) panic("fun2 booom!") fmt.Println("fun2 ended") } I found no matter the caller function

2021-07-12 21:30:35    分类:问答    go   goroutine   recover   panic